# Direct log messages to a log file
log4j.appender.file=org.apache.log4j.RollingFileAppender

#Debug
#log4j.appender.file.File=/tmp/sicura_log.txt
#Deploy
log4j.appender.file.File=/opt/SicuraWeb/logs/sicura_log.txt

log4j.appender.file.MaxFileSize=10MB
log4j.appender.file.MaxBackupIndex=10
log4j.appender.file.layout=org.apache.log4j.PatternLayout
log4j.appender.file.layout.ConversionPattern=%d{DATE} %5p %c{1}:%L - %m%n
 
# Direct log messages to stdout
log4j.appender.stdout=org.apache.log4j.ConsoleAppender
log4j.appender.stdout.Target=System.out
log4j.appender.stdout.layout=org.apache.log4j.PatternLayout
log4j.appender.stdout.layout.ConversionPattern=%d{DATE} %5p %c{1}:%L - %m%n
 
# Root logger option (trace)
log4j.rootLogger=info, file, stdout
 
# Log everything. Good for troubleshooting: info
log4j.logger.org.hibernate=info
log4j.logger.org.hibernate.orm.deprecation=error
 
# Log all JDBC parameters
#log4j.logger.org.hibernate.type=INFO, TRACE
log4j.logger.org.hibernate.type=info

log4j.logger.org.springframework.web.servlet.mvc=trace
#TRACE, info
